Subject: RE: bug#43308: 28.0.50; Improvements to Edit->Search menu

From: Drew Adams <[email-masked]>
Date: Mon, 21 Sep 2020 12:30:43 -0700 (PDT)

> > (I used to have nonincremental items at top level,
> > but moved them to a submenu because their use is
> > less common now.  Admittedly, if someone uses this a
> > lot then accessing via submenu is less efficient.)
> 
> Why no keybindings are shown for nonincremental menu items?
> They still have keybindings, e.g. nonincremental forward search
> can be started with 'C-s RET', nonincremental backward search
> with 'C-r RET', nonincremental regexp search 'C-M-s RET', etc.

I suppose I could add some explicitly, with :keys.
That makes sense.  Unfortunately, none show up
automatically.  It would be good to somehow fix that.
E.g., `C-h f nonincremental-search-forward':

  nonincremental-search-forward is an interactive compiled Lisp function
  in 'menu-bar.el'.

  It is bound to <menu-bar> <edit> <search> <search-forward>.

  (nonincremental-search-forward &optional STRING BACKWARD)

  Read a string and search for it nonincrementally.